<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fzm.mall.server.admin.distribution.mapper.TemplateItemMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.fzm.mall.server.admin.distribution.model.TemplateItem">
        <id column="id" property="id" />
        <result column="template_id" property="templateId" />
        <result column="template_item_id" property="templateItemId" />
        <result column="pricing_type" property="pricingType" />
        <result column="base_number" property="baseNumber" />
        <result column="base_amount" property="baseAmount" />
        <result column="add_number" property="addNumber" />
        <result column="add_cost" property="addCost" />
        <result column="free_shipping_amount" property="freeShippingAmount" />
        <result column="remark" property="remark" />
        <result column="delivery_area" property="deliveryArea" />
        <result column="merchant_id" property="merchantId" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
